package com.ruoyi.warehouseBusiness.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.warehouseBusiness.domain.TAnnex;
import com.ruoyi.warehouseBusiness.mapper.TAnnexMapper;
import com.ruoyi.warehouseBusiness.service.ITAnnexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 业务附件Service业务层处理
 *
 * @author ruoyi
 * @date 2021-11-19
 */
@Service
public class TAnnexServiceImpl implements ITAnnexService {
    @Autowired
    private TAnnexMapper tAnnexMapper;

    /**
     * 查询业务附件
     *
     * @param fId 业务附件ID
     * @return 业务附件
     */
    @Override
    public TAnnex selectTAnnexById(Long fId) {
        return tAnnexMapper.selectTAnnexById(fId);
    }

    /**
     * 查询业务附件列表
     *
     * @param tAnnex 业务附件
     * @return 业务附件
     */
    @Override
    public List<TAnnex> selectTAnnexList(TAnnex tAnnex) {
        return tAnnexMapper.selectTAnnexList(tAnnex);
    }

    /**
     * 新增业务附件
     *
     * @param tAnnex 业务附件
     * @return 结果
     */
    @Override
    public int insertTAnnex(TAnnex tAnnex) {
        tAnnex.setCreateTime(DateUtils.getNowDate());
        return tAnnexMapper.insertTAnnex(tAnnex);
    }

    /**
     * 修改业务附件
     *
     * @param tAnnex 业务附件
     * @return 结果
     */
    @Override
    public int updateTAnnex(TAnnex tAnnex) {
        tAnnex.setUpdateTime(DateUtils.getNowDate());
        return tAnnexMapper.updateTAnnex(tAnnex);
    }

    /**
     * 批量删除业务附件
     *
     * @param fIds 需要删除的业务附件ID
     * @return 结果
     */
    @Override
    public int deleteTAnnexByIds(Long[] fIds) {
        return tAnnexMapper.deleteTAnnexByIds(fIds);
    }

    /**
     * 删除业务附件信息
     *
     * @param fId 业务附件ID
     * @return 结果
     */
    @Override
    public int deleteTAnnexById(Long fId) {
        return tAnnexMapper.deleteTAnnexById(fId);
    }
}
